# Method: projects.locations.nfsShares.delete

- [HTTP request](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/delete#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.nfsShares/delete#try-it)

Delete an NFS share. The underlying volume is automatically deleted.

### HTTP request

`DELETE https://baremetalsolution.googleapis.com/v2/{name=projects/*/locations/*/nfsShares/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the NFS share to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/bare-metal/docs/reference/rest/v2/projects.locations.operations#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).